import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { IDefaultParams } from '../../domain/types/default-params.type';

@Injectable()
export class DefaultParamsProvider {
  constructor(private readonly configService: ConfigService) {}

  getParams = (): IDefaultParams => {
    return {
      DEFAULT_TIMEZONE: this.configService.get('DEFAULT_TIMEZONE'),
      GEOROUTER_TYPE: this.configService.get('GEOROUTER_TYPE'),
      GEOROUTER_URL: this.configService.get('GEOROUTER_URL'),
    };
  };
}
